#include "MyScaler.h"


MyScaler::MyScaler(long base)
{
  module* = new CSIS3820(base);
}

void MyScaler::Initialize()
{
  module->Reset();
  module->setOperatingMaode(CSIS3820::LatchingScaler);
  module->setInputMode(CSIS3829::InputLatchInhibitALl);
  module->DisableClearOnLatch();
  module->Arm();
  module->Enable();
}

void MyScaler::Read(vector<unsigned long>& Scalers)
{
  unsigned long data[32];
  module->LatchAndRead(Scalers);
  Scalers.insert(Scalers.end(),data, data+32);
}

void MyScaler::Clear()
{
  module->ClearChannels();
}

unsigned int size()
{
  return 64;
}
